import type { _VNObservation } from "./VNObservation.js";
export declare class _VNImageAestheticsScoresObservation extends _VNObservation {
    static alloc(): _VNImageAestheticsScoresObservation;
    static new(): _VNImageAestheticsScoresObservation;
    init(): _VNImageAestheticsScoresObservation;
    /**
     * A Boolean value that represents images that are not necessarily of poor image quality, but may not have memorable or exciting content.
     */
    isUtility(): boolean;
    /**
     * A score which incorporates aesthetic score, failure score, and utility labels. This returns a value within the range of `-1` and `1`, where `-1` is least desirable and `1` is most desirable.
     */
    overallScore(): number;
}
